Subject: Re: linux-next: build warnings after merge of the broadcom tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 7 Oct 2022 10:30:08 +1100

Hi Rafał,

On Thu, 06 Oct 2022 07:14:05 +0200 Rafał Miłecki <[email-masked]> wrote:
>
> On 2022-10-06 02:17, Stephen Rothwell wrote:
> > On Wed, 05 Oct 2022 09:21:21 +0200 "Arnd Bergmann" <[email-masked]> > wrote:  
> >> >> Agreed. Alternatively, we could just remove the pcie@ nodes from  
> >> bcm5301x as a hotfix, as they are clearly not usable in the
> >> current form, and none of the three versions (5.19, Rafał's
> >> patch missing ranges, and Florian's patch with incorrect ranges)
> >> actually conform to the binding.  
> >> >> I'll tentatively apply the revert for now so I can send the pull  
> >> request tonight. If someone comes up with a better fix, I can
> >> use that instead.  
> > 
> > I applied the revert to the merge of the arm-soc tree today and *all*
> > the warnings are gone.  
> 
> As explained by Joel, there are dtc and yaml warnings.
> 
> Not "*all*" warnings are gone
> dtc warnings are gone
> yaml warnings are back
> 
> Which may be OK, just clarifying.

Ah, OK, now I see.  The build I do (arm multi_v7_defconfig) does not
produce the yaml warnings (for me anyway - maybe I have not installed
some optional build tool?), so I never saw them - all I saw was all the
new dtc warnings.

-- 
Cheers,
Stephen Rothwell